Export letters of authority as CSV Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/addons/pensionlab/letters-of-authority/export

The same letters as the tracker, with the same filters and sort.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[needs_attention] boolean

    Only letters the provider has rejected.

  • sort string

    Field to sort by. Valid fields are [created_at, raised_at, state]. Negative sign to denote DESC. Defaults to '-created_at'.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/addons/pensionlab/letters-of-authority/export
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/pensionlab/letters-of-authority/export' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (401)
{
  "message": "Unauthenticated."
}
Response examples (422)
{
  "message": "The selected needs attention is invalid.",
  "errors": {
    "filter.needs_attention": [
      "The selected needs attention is invalid."
    ]
  }
}